package de.kif.frontend

import de.kif.frontend.views.calendar.initCalendar
import de.kif.frontend.views.initTableLayout
import de.kif.frontend.views.initWorkGroupConstraints
import de.westermann.kwebview.components.init
import kotlin.browser.document

fun main() = init {
    WebSocketClient()

    if (document.getElementsByClassName("calendar").length > 0) {
        initCalendar()
    }
    if (document.getElementsByClassName("table-layout").length > 0) {
        initTableLayout()
    }
    if (document.getElementsByClassName("work-group-constraints").length > 0) {
        initWorkGroupConstraints()
    }
}
